import Api from "~/service/Api"
import Utils from "~/utils"

export default {
                async onInfbutSearow(){
                    const that = this.root;
                    let rtnmsg = await that.executeRule("infbut.searow")
                    if(rtnmsg.respCode == "AAAAAA")
                    {
                        // Utils.copyValueFromVO(this.model,rtnmsg.data);
                        //console.log("afdsafdsa");
                        // this.model.infbut.dspstm = rtnmsg.data.infbut_dspstm.rows
                        this.model.infbut.dspstm = rtnmsg.data.infbut_dspstm.rows
                        // console.log("第一条数据" +　rtnmsg.data.infbut_dspstm.rows[0]);
                        this.$message({
                            type: 'success',
                            message: '查询成功！'
                        });
                    }
                    else
                    {
                    this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
            },
        async onInfbutDsp(){
                let rtnmsg = await this.executeRule("infbut.dsp")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutUserow(){
                let rtnmsg = await this.executeRule("infbut.userow")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutClr(){
                let rtnmsg = await this.executeRule("infbut.clr")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutButprt(){
                let rtnmsg = await this.executeRule("infbut.butprt")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutExi(){
                let rtnmsg = await this.executeRule("infbut.exi")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },

}